#!/usr/bin/env python

# Import the GPIOEdison class from the wiringx86 module.
from wiringx86 import GPIOEdison as GPIO

# import sleep
from time import sleep

# create a new instance of the GPIOEdison class.
# setting debug=True gives information about the interaction with sysfs.
gpio = GPIO(debug=False)
pin = 13

# set pin 13 (the onboard LED) to be used as an output GPIO pin.
gpio.pinMode(pin, gpio.OUTPUT)


while True:
	try:
		# if the file exists, get the number on theb first line
		myfile = open('cgi-bin/ledpos.dat','r')
		number=int(myfile.readline())
		myfile.close()
	except:
		# else the number is zero 
		number=0

	if number==1:
		gpio.digitalWrite(pin, gpio.HIGH)

	else:
		gpio.digitalWrite(pin, gpio.LOW)

	# make room for multitasking
	sleep(0.01)